• Announcements

    • gbarry

      Reach out to Evernote support on Twitter @EvernoteHelps   09/20/2016

      We've been leveling up our support across all channels. If you're active on Twitter, try your hand with our @evernotehelps feed. It's helmed by a crack team out of Austin, TX who are here to answer your questions. They're generally active from 7am-4pm CST.  https://twitter.com/evernotehelps  
Anselm

android (Archived) Package file is invalid 4.0.3 from Play

11 posts in this topic

I am trying to update my evernote from 4.0.2 to 4.0.3 but i keep getting this error "Package file is invalid".

i have tried

downloading through wifi and 3g

Clearing cache

deleting the evernote folder using root explorer

performing a hard reset on my phone

version 4.0.2 downloads fine when performing a restore through google but update to 4.0.3 fails.

I am using a galaxy s3, ics 4.0.4 rooted.

Share this post


Link to post
Share on other sites

Just updated to EN 4.0.3 without problems over wifi on a galaxy S2 ics 4.0.3 notrooted.

Share this post


Link to post
Share on other sites

We are researching this issue at this time and we will be pushing a new build soon, this issue it seems is only affecting some Samsung phones at this time

Share this post


Link to post
Share on other sites

I am having the same problem on HTC One X. It's unlocked and rooted, but I don't think it should be the reason. :mellow:

Share this post


Link to post
Share on other sites

I'm experiencing the same issue too with the latest update of Evernote. I've tried uninstalling Evernote, clearing all data and cache on Google Play to no avail.

On Samsung Galaxy s2, ICS 4.0.3, no modifications (e.g. unrooted)

Share this post


Link to post
Share on other sites

I am having the same problem too. I am using Samsung Galaxy Tab. As I am unable to update, I tried uninstalling Evernote. Now I can't even install it back. Please rectify it soon.

Share this post


Link to post
Share on other sites

I have thr same error too. "Package file Is invalid"

I use evernote all e time and im cant install it on my new samsung galaxy s3 on ics 4.04. Everything about the fone is unmodded please solve this issue asap.

Share this post


Link to post
Share on other sites

those having problems with "Package file invalid" for version 4.0.3 i have found a temporary solution.

Get the 4.0.2 apk off the web and install works perfectly! whatever you do DO NOT ever attempt to update to the crappy 4.0.3 wait for the next release

Share this post


Link to post
Share on other sites

Also please try the below steps, as customers have reported that this rectified the issue for them also.

1. Make sure Android Automatic Restore is turned off (Settings -> Privacy)

2. Go to “Settings -> Applications -> Manage Applications

3. Tap to show “All” Applications

4. Scroll down to the Market App and tap it

5. Tap “Clear Cache” and “Clear Data”

6. Click “Uninstall Updates”

7.Exit everything and reboot your device

8. Your Error should now be fixed

Share this post


Link to post
Share on other sites

@Phil Dean: The 'uninstall market' method didn't work. After rebooting I went back to the market, and still got the Package Invalid error again.

What worked for me though, was going onto the Web to manually download the Evernote 4.0.3 apk. It worked! :)

Galaxy s2

Android ICS 4.0.3

Unmodded unrooted un-everything.

Share this post


Link to post
Share on other sites

Yes! I downloaded the APK from my laptop and sent it to myself using Gmail and downloaded the apk from the mail on my phone and installed it. It worked! Thanks Cardin.

I'm using Samsung Galaxy S3.

Share this post


Link to post
Share on other sites
Guest
This topic is now closed to further replies.